## CsCrypto

### Introduction

CsCrypto is a standalone C++ library which provides a common interface to call existing cryptography libraries. It is
designed to detect common errors at compile time by using C++ type checking with the intention of preventing security
vulnerabilities.


### System Requirements

To use CsCrypto you will need a C++17 compiler which fully supports the C++17 standard library. You will also need
either Botan or OpenSSL libraries.

The CMake files are only for building and running the unit tests and examples.


### Documentation

Class level documentation for CsCrypto is available on the CopperSpice website.

https://www.copperspice.com/docs/cs_crypto/index.html


### Authors / Contributors

* **Tim van Deurzen**
* **Jan Wilmans**
* **Ansel Sermersheim**
* **Barbara Geller**


### License

This library is released under the BSD 2-clause license. For more information refer to the LICENSE file provided with
this project.


### References

* Website:  https://www.copperspice.com
* Twitter:  https://twitter.com/copperspice_cpp
* Email:    info@copperspice.com

* Github:   https://github.com/copperspice

* Forum:    https://forum.copperspice.com
* Journal:  https://journal.copperspice.com
